#![recursion_limit = "512"]

extern crate proc_macro;

use proc_macro::TokenStream;

mod hyper_express;
mod thruster_express;

#[proc_macro_attribute]
pub fn hyper_express(attr: TokenStream, item: TokenStream) -> TokenStream {
    hyper_express::hyper_express(attr, item)
}

#[proc_macro_attribute]
pub fn thruster_express(attr: TokenStream, item: TokenStream) -> TokenStream {
    thruster_express::thruster_express(attr, item)
}
